vibrato
	db $00,$01,$02,$01 
	db $00,$81,$82,$81
	
snare_freq
	db $B5,$A4,$73

bass_freq
	dw $15E,$A9,$40

Channel1
	dw pat_drums_only	; intro
	;
	dw pat_bass		; section 1
	dw pat_bass
	dw pat_bass_harmony_1
	dw pat_bass_harmony_1
	;
	dw pat_bass		; lead1 
	dw pat_bass
	dw pat_bass
	dw pat_bass
	dw pat_bass_fill
	;
	dw pat_bass		; lead1 lo
	dw pat_bass
	dw pat_bass
	dw pat_bass
	dw pat_bass_fill
	dw pat_drums_only
	;
	dw pat_bass		; lead 2
	dw pat_bass
	dw pat_bass
	dw pat_bass
	dw pat_bass_fill
	;
	dw pat_mid		; mid
	dw pat_mid
	dw pat_mid
	dw pat_mid
	dw pat_mid
	dw pat_mid
	dw pat_mid
	dw pat_mid_drums
	dw pat_drums_only
	;
	dw pat_bass		; lead3
	dw pat_bass
	dw pat_bass
	dw pat_bass_fill
	dw pat_bass
	dw pat_bass
	dw pat_bass
	dw pat_bass_fill
	;
	dw 0
	
vol_default
	db 8,8,8,7,7,7,6
	db 6,6,5,5,5,4,4
	;
	db 8,8,8,7,7,7,6
	db 6,6,5,5,5,4,4
	;
	db 8,8,8,7,7,7,6
	db 6,6,5,5,5,4,4
	;
	db 8,8,8,7,7,7,6
	db 6,6,5,5,5,4,4
	;
	db $FF
	
vol_harmony
	db 8,8,8,8,7,7,7
	db 6,6,6,6,5,5,5
	;
	db 8,7,6,2,2,2,2
	db 3,5,7,7,6,6,5
	;
	db 8,8,8,8,7,7,7
	db 3,5,7,7,6,6,5
	;
	db 8,8,8,8,7,7,7
	db 6,6,6,6,5,5,5
	;
	db $FF
	
vol_mid
	db 3,5,7,8,8,8,8
	db 8,8,8,8,7,7,6
	db 4,5,6,6,5,5,5
	db 4,4,4,4,3,3,3
	db $FF
	
Channel2
	dw pat_quiet		; intro
	;
	dw pat_quiet		; secion 1
	dw pat_quiet
	dw pat_bass_harmony_2
	dw pat_bass_harmony_2b
	;
	dw pat_lead		; lead1
	;
	dw pat_lead_lo		; lead1 lo
	dw pat_quiet
	;
	dw pat_lead2		; lead2
	;
	dw pat_quiet		; mid
	dw pat_quiet
	dw pat_mid_chords
	dw pat_mid_chords
	dw pat_quiet
	dw pat_mid
	dw pat_quiet
	;
	dw pat_lead3		; lead3
	dw pat_lead3a
	dw pat_lead3
	dw pat_lead3b
	;
	dw 0

Channel3
	dw pat_quiet		; intro
	;
	dw pat_quiet		; secion 1
	dw pat_quiet
	dw pat_quiet
	dw pat_quiet
	;
	dw pat_quiet		; lead1
	dw pat_quiet
	dw pat_quiet
	dw pat_quiet
	dw pat_arp
	;
	dw pat_arp		; lead1 lo
	dw pat_arp
	dw pat_arp
	dw pat_arp
	dw pat_arp
	dw pat_quiet
	;
	dw pat_quiet		; lead2
	dw pat_quiet
	dw pat_quiet
	dw pat_quiet
	dw pat_quiet
	;
	dw pat_arp_mid		; mid
	dw pat_arp_mid
	dw pat_arp_mid
	dw pat_arp_mid
	dw pat_arp_mid
	dw pat_arp_mid
	dw pat_arp_mid
	dw pat_arp_mid
	dw pat_quiet
	;
	dw pat_quiet		; lead3
	dw pat_quiet
	dw pat_quiet
	dw pat_quiet
	dw pat_arp_lead3
	dw pat_arp_lead3
	dw pat_arp_lead3
	dw pat_arp_lead3
	;
	dw 0
	
LEN = $40

speed = 7

bdr = $F1
snr = $F2
sn = 28

pat_quiet
	db $F0
	db LEN+speed*4
	db OFF,OFF,OFF,OFF
	db OFF,OFF,OFF,OFF
	db END_MARK
	
pat_drums_only
	db SET_VOLTAB,vol_default & 255
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, OFF
	db                      LEN+speed,   OFF
	db snr,LEN+1,29,        LEN+speed-1, OFF
	db                      LEN+speed,   OFF
	db snr,LEN+3,27,    $F0,LEN+speed-3, OFF
	db                      LEN+speed,   OFF
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, OFF
	db                      LEN+speed,   OFF
	;
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, OFF
	db                      LEN+speed,   OFF
	db snr,LEN+1,29,        LEN+speed-1, OFF
	db                      LEN+speed,   OFF
	db snr,LEN+3,27,    $F0,LEN+speed-3, OFF
	db                      LEN+speed,   OFF
	db snr,LEN+1,29,        LEN+speed-1, OFF
	db                      LEN+speed,   OFF
	;
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, OFF
	db                      LEN+speed,   OFF
	db snr,LEN+1,29,        LEN+speed-1, OFF
	db                      LEN+speed,   OFF
	db snr,LEN+3,27,    $F0,LEN+speed-3, OFF
	db                      LEN+speed,   OFF
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, OFF
	db                      LEN+speed,   OFF
	;
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, OFF
	db                      LEN+speed,   OFF
	db snr,LEN+1,29,        LEN+speed-1, OFF
	db                      LEN+speed,   OFF
	db snr,LEN+3,27,        LEN+speed-3, OFF
	db snr,LEN+3,27,        LEN+speed-3, OFF
	db snr,LEN+1,29,        LEN+speed-1, OFF
	db snr,LEN+3,27,        LEN+speed-3, OFF
	;
	db END_MARK
	
pat_bass
	db SET_VOLTAB,vol_default & 255
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, C1
	db                      LEN+speed,   C1
	db LEN+1,G2,C3,E3,      LEN+speed-3, OFF
	db                      LEN+speed,   OFF
	db snr,LEN+3,27,    $F0,LEN+speed-3, OFF
	db                      LEN+speed,   OFF
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, OFF
	db                      LEN+speed,   G0
	;
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, C1
	db                      LEN+speed,   G0
	db LEN+1,G2,C3,E3,      LEN+speed-3, C1
	db                      LEN+speed,   OFF
	db snr,LEN+3,27,    $F0,LEN+speed-3, OFF
	db                      LEN+speed,   OFF
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, C1
	db                      LEN+speed,   OFF
	;
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, D1
	db                      LEN+speed,   D1
	db LEN+1,A2,D3,F3,      LEN+speed-3, OFF
	db                      LEN+speed,   OFF
	db snr,LEN+3,27,    $F0,LEN+speed-3, OFF
	db                      LEN+speed,   OFF
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, C1
	db                      LEN+speed,   D1
	;
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, G0
	db                      LEN+speed,   G0
	db LEN+1,G2,B2,D3,      LEN+speed-3, OFF
	db                      LEN+speed,   OFF
	db snr,LEN+3,27,    $F0,LEN+speed-3, OFF
	db                      LEN+speed,   OFF
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, G0
	db                      LEN+speed,   OFF
	;
	db END_MARK
	
pat_bass_fill
	db SET_VOLTAB,vol_default & 255
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, C1
	db                      LEN+speed,   C1
	db LEN+1,G2,C3,E3,      LEN+speed-3, OFF
	db                      LEN+speed,   OFF
	db snr,LEN+3,27,    $F0,LEN+speed-3, OFF
	db                      LEN+speed,   OFF
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, OFF
	db                      LEN+speed,   G0
	;
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, C1
	db                      LEN+speed,   G0
	db LEN+1,G2,C3,E3,      LEN+speed-3, C1
	db                      LEN+speed,   OFF
	db snr,LEN+3,27,    $F0,LEN+speed-3, OFF
	db                      LEN+speed,   OFF
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, C1
	db                      LEN+speed,   OFF
	;
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, D1
	db                      LEN+speed,   D1
	db LEN+1,A2,D3,F3,      LEN+speed-3, OFF
	db                      LEN+speed,   OFF
	db snr,LEN+3,27,    $F0,LEN+speed-3, OFF
	db                      LEN+speed,   OFF
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, C1
	db                      LEN+speed,   D1
	;
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, G0
	db                      LEN+speed,   G0
	db LEN+1,G2,B2,D3,      LEN+speed-3, OFF
	db                      LEN+speed,   OFF
	db snr,LEN+3,27,        LEN+speed-3, OFF
	db snr,LEN+3,27,        LEN+speed-3, OFF
	db snr,LEN+1,29,    $F0,LEN+speed-1, G0
	db snr,LEN+3,27,        LEN+speed-3, OFF
	;
	db END_MARK
	
pat_bass_harmony_1
	db SET_VOLTAB,vol_harmony & 255
	db $F0,                 LEN+speed,   C1
	db                      LEN+speed,   C1
	db LEN+1,G2,C3,E3,G2,C3,E3,OFF
	db LEN+3,G3,            LEN+speed-3, OFF
	db snr,LEN+3,27,    $F0,LEN+speed-3, OFF
	db LEN+3,G3,            LEN+speed-3, OFF
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, OFF
	db                      LEN+speed,   G0
	;
	db $F0,                 LEN+speed,   C1
	db                      LEN+speed,   C1
	db LEN+1,G2,C3,E3,G2,C3,E3,OFF
	db LEN+3,C4,            LEN+speed-3, OFF
	db snr,LEN+3,27,    $F0,LEN+speed-3, OFF
	db LEN+3,C4,            LEN+speed-3, OFF
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, C1
	db                      LEN+speed,   OFF
	;
	db $F0,                 LEN+speed,   D1
	db                      LEN+speed,   D1
	db LEN+1,A2,D3,F3,A2,D3,F3,OFF
	db LEN+3,D4,            LEN+speed-3, OFF
	db snr,LEN+3,27,    $F0,LEN+speed-3, OFF
	db LEN+3,D4,            LEN+speed-3, OFF
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, C1
	db                      LEN+speed,   D1
	;
	db $F0,                 LEN+speed,   G0
	db                      LEN+speed,   G0
	db LEN+1,G2,B2,D3,G2,B2,D3,OFF
	db LEN+3,B3,            LEN+speed-3, OFF
	db snr,LEN+3,27,    $F0,LEN+speed-3, OFF
	db LEN+3,B3,            LEN+speed-3, OFF
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, G0
	db                      LEN+speed,   OFF
	;
	db END_MARK
	
pat_bass_harmony_2
	db bdr,LEN+3,         C1
	db $F0,LEN+speed*3-3, OFF
	db     LEN+3,         C4
	db     LEN+speed*2-3, OFF
	db     LEN+3,         C4
	db     LEN+speed*3-3, OFF
	;
	db bdr,LEN+3,         C1
	db $F0,LEN+speed*3-3, OFF
	db     LEN+3,         E4
	db     LEN+speed*2-3, OFF
	db     LEN+3,         E4
	db     LEN+speed*3-3, OFF
	;
	db bdr,LEN+3,         C1
	db $F0,LEN+speed*3-3, OFF
	db     LEN+3,         F4
	db     LEN+speed*2-3, OFF
	db     LEN+3,         F4
	db     LEN+speed*3-3, OFF
	;
	db bdr,LEN+3,         C1
	db $F0,LEN+speed*3-3, OFF
	db     LEN+3,         D4
	db     LEN+speed*2-3, OFF
	db     LEN+3,         D4
	db     LEN+speed*3-3, OFF
	;
	db END_MARK
	
pat_bass_harmony_2b
	db bdr,LEN+3,         C1
	db $F0,LEN+speed*3-3, OFF
	db     LEN+3,         C4
	db     LEN+speed*2-3, OFF
	db     LEN+3,         C4
	db     LEN+speed*3-3, OFF
	;
	db bdr,LEN+3,         C1
	db $F0,LEN+speed*3-3, OFF
	db     LEN+3,         E4
	db     LEN+speed*2-3, OFF
	db     LEN+3,         E4
	db     LEN+speed*3-3, OFF
	;
	db bdr,LEN+3,         C1
	db $F0,LEN+speed*3-3, OFF
	db     LEN+3,         F4
	db     LEN+speed*2-3, OFF
	db     LEN+3,         F4
	db     LEN+speed*3-3, OFF
	;
	db bdr,LEN+3,         C1
	db $F0,LEN+speed*3-3, OFF
	db     LEN+3,         D4
	db     LEN+speed*2-3, OFF
	db     LEN+3,         D4
	db     LEN+speed*1-3, OFF
	;
	db     LEN+4,         F3
	db     LEN+speed-4,   G3
	db     LEN+4,         A3
	db     LEN+speed-4,   B3
	;
	db END_MARK
	
pat_lead_lo
	db $F5,     LEN+speed*6,   C3
	db          LEN+speed*4,   OFF
	db          LEN+speed,     G2,A2,G2,OFF,F2,OFF
	db LEN+2,G2,LEN+speed*2-2, A2, LEN+speed,OFF
	db LEN+2,F2,LEN+speed-2,   G2, LEN+speed,OFF,OFF
	db LEN+2,E2,LEN+speed-2,   F2, LEN+speed,OFF
	db          LEN+speed*2,   E2, LEN+speed,OFF
	db LEN+2,E2,LEN+speed-2,   F2, LEN+speed,OFF,OFF
	db LEN+2,F2,LEN+speed-2,   G2, LEN+speed,OFF
	;
	db $F5,     LEN+speed*6,   C3
	db          LEN+speed*4,   OFF
	db          LEN+speed,     G2,A2,G2,OFF,F2,OFF
	db LEN+2,G2,LEN+speed*2-2, A2, LEN+speed,OFF
	db LEN+2,F2,LEN+speed-2,   G2, LEN+speed,OFF,OFF
	db LEN+2,E2,LEN+speed-2,   F2, LEN+speed,OFF
	db          LEN+speed*2,   E2, LEN+speed,OFF
	db LEN+2,E2,LEN+speed-2,   F2, LEN+speed,OFF,OFF
	db LEN+2,C2,LEN+speed-2,   D2, LEN+speed,OFF
	;
	db $F5,     LEN+speed*6,   C2
	db          LEN+speed*4,   OFF
	db          LEN+speed,     C2,OFF,D2,OFF,E2,OFF
	db LEN+1,D2,E2,F2,G2
	db          LEN+speed*2-4, A2, LEN+speed,OFF
	db          LEN+speed,     F2, LEN+speed,OFF,OFF
	db          LEN+speed,     E2, LEN+speed,OFF
	db          LEN+speed*2,   D2, LEN+speed,OFF
	db          LEN+speed,     E2, LEN+speed,OFF,OFF
	db          LEN+speed,     F2, LEN+speed,OFF
	;
	db $F5,     LEN+speed*6,   G2
	db          LEN+speed*4,   OFF
	db          LEN+speed,     C2,OFF,D2,OFF,E2,OFF
	db LEN+1,D2,E2,F2,G2
	db          LEN+speed*2-4, A2, LEN+speed,OFF
	db LEN+2,E2,LEN+speed-2,   F2, LEN+speed,OFF,OFF
	db LEN+2,D2,LEN+speed-2,   E2, LEN+speed,OFF
	db          LEN+speed*2,   D2, LEN+speed,OFF
	db          LEN+speed,     E2, LEN+speed,OFF,OFF
	db LEN+2,C2,LEN+speed-2,   D2, LEN+speed,OFF
	;
	db $F5,     LEN+speed*6,   C2
	db          LEN+speed*5,   OFF,OFF
	db          LEN+speed*8,   OFF,OFF
	;
	db END_MARK
	
pat_lead
	db $F5,     LEN+speed*6,   C4
	db          LEN+speed*4,   OFF
	db          LEN+speed,     G3,A3,G3,OFF,F3,OFF
	db LEN+2,G3,LEN+speed*2-2, A3, LEN+speed,OFF
	db LEN+2,F3,LEN+speed-2,   G3, LEN+speed,OFF,OFF
	db LEN+2,E3,LEN+speed-2,   F3, LEN+speed,OFF
	db          LEN+speed*2,   E3, LEN+speed,OFF
	db LEN+2,E3,LEN+speed-2,   F3, LEN+speed,OFF,OFF
	db LEN+2,F3,LEN+speed-2,   G3, LEN+speed,OFF
	;
	db $F5,     LEN+speed*6,   C4
	db          LEN+speed*4,   OFF
	db          LEN+speed,     G3,A3,G3,OFF,F3,OFF
	db LEN+2,G3,LEN+speed*2-2, A3, LEN+speed,OFF
	db LEN+2,F3,LEN+speed-2,   G3, LEN+speed,OFF,OFF
	db LEN+2,E3,LEN+speed-2,   F3, LEN+speed,OFF
	db          LEN+speed*2,   E3, LEN+speed,OFF
	db LEN+2,E3,LEN+speed-2,   F3, LEN+speed,OFF,OFF
	db LEN+2,C3,LEN+speed-2,   D3, LEN+speed,OFF
	;
	db $F5,     LEN+speed*6,   C3
	db          LEN+speed*4,   OFF
	db          LEN+speed,     C3,OFF,D3,OFF,E3,OFF
	db LEN+1,D3,E3,F3,G3
	db          LEN+speed*2-4, A3, LEN+speed,OFF
	db          LEN+speed,     F3, LEN+speed,OFF,OFF
	db          LEN+speed,     E3, LEN+speed,OFF
	db          LEN+speed*2,   D3, LEN+speed,OFF
	db          LEN+speed,     E3, LEN+speed,OFF,OFF
	db          LEN+speed,     F3, LEN+speed,OFF
	;
	db $F5,     LEN+speed*6,   G3
	db          LEN+speed*4,   OFF
	db          LEN+speed,     C3,OFF,D3,OFF,E3,OFF
	db LEN+1,D3,E3,F3,G3
	db          LEN+speed*2-4, A3, LEN+speed,OFF
	db LEN+2,E3,LEN+speed-2,   F3, LEN+speed,OFF,OFF
	db LEN+2,D3,LEN+speed-2,   E3, LEN+speed,OFF
	db          LEN+speed*2,   D3, LEN+speed,OFF
	db          LEN+speed,     E3, LEN+speed,OFF,OFF
	db LEN+2,C3,LEN+speed-2,   D3, LEN+speed,OFF
	;
	db $F5,     LEN+speed*6,   C3
	db          LEN+speed*5,   OFF,OFF
	db          LEN+speed*8,   OFF,OFF
	;
	db END_MARK
	
pat_lead2
	db $F5
	db                   LEN+speed*6,   OFF,OFF
	db LEN+1,F3,G3,A3,B3,LEN+speed*4-4, C4
	db LEN+1,C3,D3,E3,F3,LEN+speed*4-4, G3
	db                   LEN+speed*2,   OFF
	db LEN+2,E3,         LEN+speed-2,   F3
	db                   LEN+speed,     G3,F3,OFF,E3,OFF,D3,OFF
	db                   LEN+speed-2,   C3,LEN+2,OFF
	db LEN+2,D3,         LEN+speed*5-2, E3
	db                   LEN+speed*8,   OFF
	;
	db LEN+1,F3,G3,A3,B3,LEN+speed*4-4, C4
	db LEN+1,C3,D3,E3,F3,LEN+speed*4-4, G3
	db                   LEN+speed,     OFF,OFF
	db LEN+2,E3,         LEN+speed-2,   F3
	db                   LEN+speed,     G3,F3,OFF,E3,OFF,D3,OFF
	db                   LEN+speed-2,   E3,LEN+2,OFF
	db LEN+2,B2,         LEN+speed*5-2, C3
	db                   LEN+speed*8,   OFF
	;
	db LEN+1,F3,G3,A3,B3,LEN+speed*4-4, C4
	db LEN+1,C3,D3,E3,F3,LEN+speed*4-4, G3
	db                   LEN+speed,     OFF,OFF
	db LEN+2,E3,         LEN+speed-2,   F3
	db                   LEN+speed,     G3,F3,OFF,E3,OFF,D3,OFF
	db                   LEN+speed-2,   C3,LEN+2,OFF
	db                   LEN+speed,     OFF
	db                                  E3
	db                                  D3
	db                   LEN+speed*3,   E3
	db                   LEN+speed*7,   OFF
	;
	db LEN+1,F3,G3,A3,B3,LEN+speed*4-4, C4
	db LEN+1,C3,D3,E3,F3,LEN+speed*4-4, G3
	db                   LEN+speed,     OFF,OFF
	db LEN+2,E3,         LEN+speed-2,   F3
	db                   LEN+speed,     G3,F3,OFF,E3,OFF,D3,OFF
	db                   LEN+speed-2,   B2,LEN+2,OFF
	db                   LEN+speed*5,   C3
	db                   LEN+speed*8,   OFF
	;
	db                   LEN+speed*8,   OFF
	db                   LEN+speed*8,   OFF
	db                   LEN+speed*4,   OFF
	;
	db END_MARK
	
pat_lead3
	db $F5
	db LEN+1,D3,         LEN+speed*1-1, E3
	db                   LEN+speed*1,   F3,G3,OFF,OFF,OFF
	db LEN+1,D3,         LEN+speed*1-1, E3
	db                   LEN+speed*1,   D3,C3,C3
	db                   LEN+speed*4,   OFF
	db                   LEN+speed*1,   D3,E3
	db                                  F3,F3,E3,OFF,D3,OFF,E3
	db                                  F3,F3,F3,E3,OFF,D3,OFF,E3,OFF
	;
	db LEN+1,D3,         LEN+speed*1-1, E3
	db                   LEN+speed*1,   F3,G3,OFF,OFF,OFF
	db LEN+1,D3,         LEN+speed*1-1, E3
	db                   LEN+speed*1,   D3,C3,C3
	db                   LEN+speed*4,   OFF
	db                   LEN+speed*1,   B2,C3
	db                                  D3,D3,C3,OFF,B2,OFF,C3
	db                                  D3,D3,D3,C3,OFF,D3,OFF,E3,OFF
	;
	db END_MARK
	
pat_lead3a
	db $F5
	db LEN+1,D3,         LEN+speed*1-1, E3
	db                   LEN+speed*1,   F3,G3,OFF,OFF,OFF
	db LEN+1,D3,         LEN+speed*1-1, E3
	db                   LEN+speed*1,   D3,C3,C3
	db                   LEN+speed*4,   OFF
	db                   LEN+speed*1,   D3,E3
	db                                  F3,F3,E3,OFF,D3,OFF,E3
	db                                  F3,F3,F3,E3,OFF,D3,OFF,E3,OFF
	;
	db LEN+1,D3,         LEN+speed*1-1, E3
	db                   LEN+speed*1,   F3,G3,OFF,OFF,OFF
	db LEN+1,D3,         LEN+speed*1-1, E3
	db                   LEN+speed*1,   D3,C3,C3
	db                   LEN+speed*4,   OFF
	db                   LEN+speed*1,   B2,C3
	db                                  D3,OFF,OFF,E3,OFF,OFF,F3,OFF
	db                                  G3,OFF,OFF,A3,OFF
	db                   LEN+3,         C4
	db                   LEN+2,         B3
	db                   LEN+3,         A3
	db                   LEN+3,         G3
	db                   LEN+2,         F3
	db                   LEN+3,         E3
	db                   LEN+3,         D3
	db                   LEN+2,         C3
	;
	db END_MARK
	
pat_lead3b
	db $F5
	db LEN+1,D3,         LEN+speed*1-1, E3
	db                   LEN+speed*1,   F3,G3,OFF,OFF,OFF
	db LEN+1,D3,         LEN+speed*1-1, E3
	db                   LEN+speed*1,   D3,C3,C3
	db                   LEN+speed*4,   OFF
	db                   LEN+speed*1,   D3,E3
	db                                  F3,F3,E3,OFF,D3,OFF,E3
	db                                  F3,F3,F3,E3,OFF,D3,OFF,E3,OFF
	;
	db LEN+1,D3,         LEN+speed*1-1, E3
	db                   LEN+speed*1,   F3,G3,OFF,OFF,OFF
	db LEN+1,D3,         LEN+speed*1-1, E3
	db                   LEN+speed*1,   D3,C3,C3
	db                   LEN+speed*4,   OFF
	db                   LEN+speed*1,   B2,C3
	db                                  D3,OFF,E3,OFF,F3,OFF,G3,OFF,A3,OFF,B3,OFF,C4,OFF,D4,C4
	;
	db END_MARK
	
pat_arp_lead3
	db $F3     
	db LEN+speed*1
	db G3,B3,C4,OFF,OFF,OFF
	db G3,F3,E3
	db LEN+speed*7,OFF
	db LEN+speed*8,OFF,OFF
	db END_MARK
	
pat_arp
	db $F3
	db LEN+speed*2
	db C4,G3,A3,G3
	db C4,G3,A3,G3
	db C4,B3,A3,B3
	db C4,B3,A3,G3
	db END_MARK
	
pat_mid
	db SET_VOLTAB,vol_mid & 255
	db $F5
	db LEN+speed*2
	db C1,G1,C2,E2
	db C1,G1,C2,D2
	db D1,A1,C2,D2
	db D1,G1,B1,D2
	db END_MARK
	
pat_mid_drums
	db SET_VOLTAB,vol_mid & 255
	db bdr,LEN+3,C1,    $F0,LEN+speed*4-3, OFF
	db bdr,LEN+3,C1,    $F0,LEN+speed*4-3, OFF
	db bdr,LEN+3,C1,    $F0,LEN+speed*4-3, OFF
	db bdr,LEN+3,C1,    $F0,LEN+speed*4-3, OFF
	;
	db bdr,LEN+3,C1,    $F0,LEN+speed*2-3, OFF
	db snr,LEN+1,29,    $F0,LEN+speed*2-1, OFF
	db bdr,LEN+3,C1,    $F0,LEN+speed*2-3, OFF
	db snr,LEN+1,29,    $F0,LEN+speed*2-1, OFF
	db bdr,LEN+3,C1,    $F0,LEN+speed*2-3, OFF
	db snr,LEN+1,29,    $F0,LEN+speed*2-1, OFF
	db bdr,LEN+3,C1,    $F0,LEN+speed*2-3, OFF
	db snr,LEN+1,29,    $F0,LEN+speed*2-1, OFF
	db END_MARK
	
pat_mid_chords
	db SET_ARP,$59,$F4,LEN+speed*8,G2
	db SET_ARP,$57,    LEN+speed*4,G2
	db SET_ARP,$59,    LEN+speed*4,G2
	db SET_ARP,$58,    LEN+speed*8,A2
	db SET_ARP,$38,    LEN+speed*8,B2
	;
	db SET_ARP,$59,$F4,LEN+speed*8,G2
	db SET_ARP,$57,    LEN+speed*4,G2
	db SET_ARP,$59,    LEN+speed*4,G2
	db SET_ARP,$58,    LEN+speed*4,A2
	db SET_ARP,$37,    LEN+speed*4,A2
	db SET_ARP,$57,    LEN+speed*4,G2
	db SET_ARP,$47,    LEN+speed*4,G2
	;
	db END_MARK
	
pat_arp_mid
	db $F3
	db LEN+speed*2
	db OFF,OFF,OFF,OFF
	db OFF,OFF
	db LEN+speed,C4,B3
	db LEN+speed*2,C4,G3,OFF,OFF,OFF
	db OFF,OFF,OFF,OFF
	db END_MARK
;[eof]